<xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

[ Main ] [ Download ] [ Screenshots ] [ FAQ ] [ Tutorial ] [ Documentation ] [ Forum ] [ Links ]

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Class List
Here are the classes, structs, unions and interfaces with brief descriptions:

CImg< T > | Class representing an image (up to 4 dimensions wide), each pixel being of type `T`
CImgDisplay | Allow to create windows, display images on them and manage user events (keyboard, mouse and windows events)
CImgException | Instances of `CImgException` are thrown when errors are encountered in a `CImg` function call
CImgList< T > | Represent a list of images CImg<T>